# Miscellaneous
*.class
*.lock
*.log
*.pyc
*.swp
.DS_Store
.atom/
.buildlog/
.history
.svn/

# IntelliJ related
*.iml
*.ipr
*.iws
.idea/

# Visual Studio Code related
.vscode/

# Flutter/Dart/Pub related
**/doc/api/
.dart_tool/
.flutter-plugins
.packages
.pub-cache/
.pub/
**.flutter-plugins-dependencies
**pubspec.lock
**/build/

# Android related
**/android/**/gradle-wrapper.jar
**/android/.gradle
**/android/captures/
**/android/gradlew
**/android/gradlew.bat
**/android/local.properties
**/android/**/GeneratedPluginRegistrant.java

# iOS/XCode related
**/ios/**/*.mode1v3
**/ios/**/*.mode2v3
**/ios/**/*.moved-aside
**/ios/**/*.pbxuser
**/ios/**/*.perspectivev3
**/ios/**/*sync/
**/ios/**/.sconsign.dblite
**/ios/**/.tags*
**/ios/**/.vagrant/
**/ios/**/DerivedData/
**/ios/**/Icon?
**/ios/**/Pods/
**/ios/**/.symlinks/
**/ios/**/profile
**/ios/**/xcuserdata
**/ios/.generated/
**/ios/Flutter/App.framework
**/ios/Flutter/Flutter.framework
**/ios/Flutter/Generated.xcconfig
**/ios/Flutter/app.flx
**/ios/Flutter/app.zip
**/ios/Flutter/flutter_assets/
**/ios/ServiceDefinitions.json
**/ios/Runner/GeneratedPluginRegistrant.*

# Exceptions to above rules.
!**/ios/**/default.mode1v3
!**/ios/**/default.mode2v3
!**/ios/**/default.pbxuser
!**/ios/**/default.perspectivev3
!/packages/flutter_tools/test/data/dart_dependencies_test/**/.packages

#keystore file
budget_app/android/key.properties
android/key.properties
budget_app/android/app/key.jks
android/app/key.jks
**/android/key.properties
**/android/app/key.jks
key.jks
key.properties
app/.flutter-plugins-dependencies
app/ios/Flutter/flutter_export_environment.sh

# environment variable files
*.env
app/ios/Flutter/Flutter.podspec
app/ios/Runner.xcodeproj/project.pbxproj
app/ios/Runner.xcodeproj/xcshareddata/xcschemes/Runner.xcscheme
app/ios/Flutter/Debug.xcconfig
app/ios/Flutter/Release.xcconfig
app/ios/Runner.xcodeproj/project.pbxproj
app/ios/Runner.xcodeproj/xcshareddata/xcschemes/Runner.xcscheme
